Subject: bug#49698: closed (Re: bug#49698: Search for URL containing certain word)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Jul 2021 15:25:02 +0000

Your bug report

#49698: Search for URL containing certain word

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49698: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49698
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49698: Search for URL containing certain word
From: Paul Eggert <[email-masked]>
To: Julius Hamilton <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Jul 2021 08:24:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Not a bug, so closing the bug report.

Subject: Search for URL containing certain word
From: Julius Hamilton <[email-masked]>
To: [email-masked]
Date: Thu, 22 Jul 2021 21:08:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

I'm new to grep so I'd love any tips on how to search for text in the
following way.

I'd like to find a certain URL that is somewhere in a large text file. I
would like to find it by specifying "a URL which contains word X somewhere
within it", or even "a URL which is located within 3 lines of the word X".

I'd like to copy that URL and then write it to the top of the file.

I am considering doing this with Vim search commands, yet the underlying
regex would be the same, so I think this would be a good place to ask.

How would you do this with grep? Or a similar tool?

Thanks very much,
Julius